Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.reflect
Interface Member

All Known Implementing Classes:
  Method, Field, Constructor

public interface Member

Member is an interface that reflects identifying information about a single member (a field or a method) or a constructor.

See Also:
  `Class`, `Field`, `Method`, `Constructor`

Field Summary
`static int` | `DECLARED` Identifies the set of declared members of a class or interface.
`static int` | `PUBLIC` Identifies the set of all public members of a class or interface, including inherited members.

Method Summary
`Class` | `getDeclaringClass()` Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.
`int` | `getModifiers()` Returns the Java language modifiers for the member or constructor represented by this Member, as an integer.
`String` | `getName()` Returns the simple name of the underlying member or constructor represented by this Member.

Field Detail

### PUBLIC

    public static final int PUBLIC

  Identifies the set of all public members of a class or interface, including inherited members.
  See Also:
    `SecurityManager.checkMemberAccess(java.lang.Class, int)`

### DECLARED

    public static final int DECLARED

  Identifies the set of declared members of a class or interface. Inherited members are not included.
  See Also:
    `SecurityManager.checkMemberAccess(java.lang.Class, int)`

Method Detail

### getDeclaringClass

    public Class getDeclaringClass()

  Returns the Class object representing the class or interface that declares the member or constructor represented by this Member.

### getName

    public String getName()

  Returns the simple name of the underlying member or constructor represented by this Member.

### getModifiers

    public int getModifiers()

  Returns the Java language modifiers for the member or constructor represented by this Member, as an integer. The Modifier class should be used to decode the modifiers in the integer.
  See Also:
    `Modifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >